<template>
	<div class="row">
		<div id="search-bar" class="form-search">
			<input ref="search" type="text" class="search-query" placeholder="Search" @keyup="funct" v-model="keyword">
			<button type="submit"><i class="fas fa-search"></i></button>
		</div>
	</div>
</template>

<script>
let timeout = null;
export default {
    data() {
        return {
            keyword: ''
        }
    },
    methods: {
        funct: function () {
            clearTimeout(timeout);
            timeout = setTimeout(() => {
                this.$emit('search-change', this.keyword)
            }, 500);

        }
    },
}
</script>

<style>
#search-bar button {
    border: 0;
    background: none;
    left: -80px;
    position: relative;

    margin-bottom: 0;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}
input {
    height: 35px;
    border: none;
    border: solid 1px #ccc;
    border-radius: 5px;
    padding: 10px;
    margin-right: 50px;
}
</style>